/*
 *			f e o f . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	feof	Test for End of File
index		Test for end of file

synopsis
	s.nf
	feof(iop);
	FILE		*iop;
	.s.f
Description

	Return 1 if end of file seen on iop, else zero.

Bugs

#endif

#include	<stdio.h>

#ifdef	feof
#undef	feof
#endif

int
feof(fd)
FILE	*fd;
/*
 * Return TRUE on error
 */
{
	return ((fd->_flag & _IOEOF) != 0);
}
